Subject: [BEHAVE] new nat mib question

From: Juergen Schoenwaelder <[email-masked]>
Date: Tue, 19 Jun 2012 21:38:26 +0200

Hi,

I have come across the new NAT MIB <draft-ietf-behave-nat-mib-01> and
I am not sure I understand the scope of this effort and how the result
will relate to the existing NAT-MIB in RFC 4008. The behave I-D says:

   [RFC4008] defines some objects for managing network address
   translators (NATs).  Current operational practice often requires
   additional objects, in particular for enterprise and Internet service
   provider (ISP) deployments.  This document defines those additional
   objects.

   This module is designed to be completely independent from [RFC4008].
   A NAT implementation could be managed using this module, the one from
   [RFC4008], or both

The first paragraph sounds like the goal is to define additional
objects relative to the RFC 4008 NAT-MIB while the second paragraph
says quite clearly that this is going to a competing MIB module. If
so, this is, as far as I know, the first time we have two
standards-track MIB modules for managing a single technology. Can
someone explain what the goal of this effort is or point me somewhere
into the archives so I can inform myself? Note, it might very well be
that the RFC 4008 NAT-MIB is seriously broken but then the proper
approach would be to write a new MIB replacing the old MIB, sending
RFC 4008 to historic.  Otherwise, it should be explained somewhere how
the new MIB plays together with the NAT-MIB. (My background on this is
essentially written down in draft-schoenw-behave-nat-mib-bis-00.)

I also think NEW-NAT-MIB is not a good name. What is new today is
going to be old tomorrow.

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>

---

From: Dave Thaler <[email-masked]>
Date: Tue, 19 Jun 2012 19:47:53 +0000

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Juergen Schoenwaelder
> Sent: Tuesday, June 19, 2012 12:38 PM
> To: [email-masked]
> Subject: [BEHAVE] new nat mib question
> 
> Hi,
> 
> I have come across the new NAT MIB <draft-ietf-behave-nat-mib-01> and I
> am not sure I understand the scope of this effort and how the result will
> relate to the existing NAT-MIB in RFC 4008. 

My expectation was that it would either extend it by simply adding additional
objects that don't duplicate any functionality, or else obsolete it.

The draft is new and hasn't really had any significant review yet.

> The behave I-D says:
> The first paragraph sounds like the goal is to define additional objects relative
> to the RFC 4008 NAT-MIB while the second paragraph says quite clearly that
> this is going to a competing MIB module. If so, this is, as far as I know, the
> first time we have two standards-track MIB modules for managing a single
> technology.

That should definitely not be the case, and like you do it seems, I object to
the second paragraph.

>  Can someone explain what the goal of this effort is or point me
> somewhere into the archives so I can inform myself? Note, it might very well
> be that the RFC 4008 NAT-MIB is seriously broken but then the proper
> approach would be to write a new MIB replacing the old MIB, sending RFC
> 4008 to historic.  Otherwise, it should be explained somewhere how the new
> MIB plays together with the NAT-MIB. (My background on this is essentially
> written down in draft-schoenw-behave-nat-mib-bis-00.)

Your expectations are correct.

> I also think NEW-NAT-MIB is not a good name. What is new today is going to
> be old tomorrow.

Absolutely agree.

-Dave
> _______________________________________________
> Behave mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/behave

---

From: Simon Perreault <[email-masked]>
Date: Tue, 19 Jun 2012 16:01:17 -0400

On 2012-06-19 15:47, Dave Thaler wrote:
>> I have come across the new NAT MIB<draft-ietf-behave-nat-mib-01>  and I

Our draft defines new objects that don't duplicate any functionality of 
4008. It also doesn't build on top of 4008 in any way.

I suppose we could obsolete 4008. But it feels strange obsoleting an RFC 
with something completely different.

I'm fully open to guidance.

> The draft is new and hasn't really had any significant review yet.

True. We need reviews. We'll keep asking.

> That should definitely not be the case, and like you do it seems, I object to

If our draft did build on top of 4008, the second paragraph would 
vanish. But we haven't found a need to do that so far. Nothing in 4008 
is of any use to us.

>> I also think NEW-NAT-MIB is not a good name. What is new today is going to

Definitely. Do you have a better name to suggest?

THE-MIB-FORMERLY-KNOWN-AS-THE-NEW-NAT-MIB

Simon
-- 
DTN made easy, lean, and smart --> http://postellation.viagenie.ca
NAT64/DNS64 open-source        --> http://ecdysis.viagenie.ca
STUN/TURN server               --> http://numb.viagenie.ca

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Tue, 19 Jun 2012 23:26:05 +0200

On Tue, Jun 19, 2012 at 04:01:17PM -0400, Simon Perreault wrote:
> 
> Our draft defines new objects that don't duplicate any functionality
> of 4008. It also doesn't build on top of 4008 in any way.
> 
> I suppose we could obsolete 4008. But it feels strange obsoleting an
> RFC with something completely different.
> 

I can't provide the guidance. I think the document must explain how it
relates to the NAT-MIB. The name NEW-NAT-MIB kind of suggests that
this is a replacement of the NAT-MIB. But apparently this is not the
case. I am likely just heavily confused and hence I ask for
clarification how things relate.

The I-D abstract says:

   This memo defines a portion of the Management Information Base (MIB)
   for devices implementing Network Address Translator (NAT) function.
   This MIB module may be used for monitoring of a device capable of NAT
   function.

The abstract in RFC 4008 says:

   This memo defines a portion of the Management Information Base (MIB)
   for devices implementing Network Address Translator (NAT) function.
   This MIB module may be used for configuration as well as monitoring
   of a device capable of NAT function.

This seems pretty much the same (except that the I-D leaves out
configuration).  Hence the question I am asking I think needs to be
asked and answered (eventually in the document).

/js